aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-01-23 17:36:15 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2022-01-23 17:48:25 +0300
commit0106a9df3d90e4c7bb5a0037203a23be856e343f (patch)
tree68ba00139e463a5bf326fb226c97c2efff4953f8 /test
parentapp.py: include command's output in the exception (diff)
downloadlinux-status-0106a9df3d90e4c7bb5a0037203a23be856e343f.tar.gz
linux-status-0106a9df3d90e4c7bb5a0037203a23be856e343f.zip
test/test.sh: print curl output on failure
Diffstat (limited to 'test')
-rwxr-xr-xtest/test.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/test.sh b/test/test.sh
index db44d5f..77a15e2 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -73,11 +73,10 @@ run_curl() {
local url="$1"
curl \
--silent --show-error \
- --fail \
--dump-header "$curl_header_file" \
--output "$curl_output_file" \
--connect-timeout 3 \
- -- "http://localhost:$server_port$url"
+ -- "http://localhost:$server_port$url" || true
}
curl_check_status() {
@@ -95,6 +94,11 @@ curl_check_status() {
dump "Actual HTTP response: $actual" >&2
dump "Expected: $expected" >&2
+
+ dump 'HTTP headers:' >&2
+ cat -- "$curl_header_file" >&2
+ dump 'HTTP response:' >&2
+ cat -- "$curl_output_file" >&2
return 1
}